<template>
    <div ref="parallax_scene" id="scene">
        <div data-depth="0.2" class="layer">
            <div ref="sky_blue_background" class="background">
            </div>
            <Cloud style="z-index:0;opacity:.8;top: 30%;left: 57%;transform:scale(1.3)"/>
            <Cloud style="top: 50%;left: 50%;transform:scale(.5)"/>
            <Cloud style="top: 10%;left: 10%;transform:scale(.4)"/>
            <Cloud style="top: 30%;left: 57%;transform:scale(.3)"/>
            <Cloud style="top: -35%;left: 10%;transform:scale(.3)"/>
            <!--<img src="https://a-static.besthdwallpaper.com/one-piece-going-merry-papel-pintado-1920x1200-8481_6.jpg" />-->
        </div>
        <div data-depth="0.5" class="layer">
            <Cloud style="top: 60%;left: 80%;transform:scale(.6)"/>
            <Cloud style="top: 40%;left: 0%;transform:scale(.65)"/>
            <Cloud style="opacity:.8;top: 10%;left: 19%;transform:scale(.65)"/>
        </div>
        <div data-depth="1" class="layer">
            <Cloud style="top: 80%;left: 20%;transform:scale(.9)"/>
            <Cloud style="top: 20%;left: 60%;transform:scale(1.1)"/>
        </div>
    </div>
</template>

<script>
import Cloud from "../components/Cloud";
import Parallax from "parallax-js";
export default {
    data() {
        return {}
    },
    mounted(){
        const {parallax_scene} = this.$refs
        window.$(parallax_scene).velocity({p:{opacity:1},o:{duration:500}})
        new Parallax(parallax_scene);
    },
    components: {
        Cloud
    }
}
</script>
<style lang="stylus" scoped>
#scene {
  opacity: 0;
  color: #fff;
  font-size: 20px;
  line-height: 100vh;
  height: 100vh;
  width: 100vw;

  >div.layer {
    width: 100%;
    height: 100%;
  }

  .background {
    background: #00b4ff;
    height: 110%;
    width: 110%;
    left: -5%;
    top: -5%;
    position: absolute;
  }
}
</style>
